# H245_SendTerminalCapabilitySet_specificRequest Class Reference

`#include <h245.h>`

Inheritance diagram for H245_SendTerminalCapabilitySet_specificRequest:

List of all members.

## Public Types

enum | OptionalFields { e_capabilityTableEntryNumbers, e_capabilityDescriptorNumbers }

## Public Member Functions

| H245_SendTerminalCapabilitySet_specificRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_multiplexCapability
H245_ArrayOf_CapabilityTableEntryNumber | m_capabilityTableEntryNumbers
H245_ArrayOf_CapabilityDescriptorNumber | m_capabilityDescriptorNumbers

## Member Enumeration Documentation

enum H245_SendTerminalCapabilitySet_specificRequest::OptionalFields

Enumerator:

  e_capabilityTableEntryNumbers |
  e_capabilityDescriptorNumbers |

## Constructor & Destructor Documentation

H245_SendTerminalCapabilitySet_specificRequest::H245_SendTerminalCapabilitySet_specificRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_SendTerminalCapabilitySet_specificRequest::GetDataLength | ( |  | ) | const

PBoolean H245_SendTerminalCapabilitySet_specificRequest::Decode | ( | PASN_Stream & | strm | ) |

void H245_SendTerminalCapabilitySet_specificRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H245_SendTerminalCapabilitySet_specificRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_SendTerminalCapabilitySet_specificRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H245_SendTerminalCapabilitySet_specificRequest::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_SendTerminalCapabilitySet_specificRequest::m_multiplexCapability

H245_ArrayOf_CapabilityTableEntryNumber H245_SendTerminalCapabilitySet_specificRequest::m_capabilityTableEntryNumbers

H245_ArrayOf_CapabilityDescriptorNumber H245_SendTerminalCapabilitySet_specificRequest::m_capabilityDescriptorNumbers

The documentation for this class was generated from the following file:

- h245.h